services:

  homepage:
    image: ghcr.io/gethomepage/homepage:latest
    container_name: homepage
    environment:
      HOMEPAGE_ALLOWED_HOSTS: "*" # required, may need port.
      PUID: 1000 
      PGID: 1000 
      DOCKER_HOST: tcp://socket-proxy:2375
    ports:
      - 3100:3000
    volumes:
      - /opt/Docker-Deployments/Homepage/config:/app/config # Make sure your local config directory exists
      - /opt/Docker-Deployments/Homepage/images:/app/public/images
      - /var/run/docker.sock:/var/run/docker.sock:ro # optional, for docker integrations
    networks:
      - external    
    restart: unless-stopped

    healthcheck:
      test: ["CMD", "curl", "-f", "http://localhost:3000"]
      interval: 10s
      retries: 3
      timeout: 10s
      start_period: 30s

networks:
  external:
    external: true    # Tells Compose not to create this network